/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package me.zhanghai.android.untracker.ui.token

import androidx.compose.ui.graphics.Color

/** https://chromium.googlesource.com/chromium/src/+/main/ui/color/ref_color_mixer.cc */
object Palette {
    val Primary0 = Color(0xFF000000)
    val Primary10 = Color(0xFF041E49)
    val Primary20 = Color(0xFF062E6F)
    val Primary30 = Color(0xFF0842A0)
    val Primary40 = Color(0xFF0B57D0)
    val Primary50 = Color(0xFF1B6EF3)
    val Primary60 = Color(0xFF4C8DF6)
    val Primary70 = Color(0xFF7CACF8)
    val Primary80 = Color(0xFFA8C7FA)
    val Primary90 = Color(0xFFD3E3FD)
    val Primary95 = Color(0xFFECF3FE)
    val Primary99 = Color(0xFFFAFBFF)
    val Primary100 = Color(0xFFFFFFFF)
    val Secondary0 = Color(0xFF000000)
    val Secondary10 = Color(0xFF001D35)
    val Secondary20 = Color(0xFF003355)
    val Secondary30 = Color(0xFF004A77)
    val Secondary40 = Color(0xFF00639B)
    val Secondary50 = Color(0xFF047DB7)
    val Secondary60 = Color(0xFF3998D3)
    val Secondary70 = Color(0xFF5AB3F0)
    val Secondary80 = Color(0xFF7FCFFF)
    val Secondary90 = Color(0xFFC2E7FF)
    val Secondary95 = Color(0xFFDFF3FF)
    val Secondary99 = Color(0xFFF7FCFF)
    val Secondary100 = Color(0xFFFFFFFF)
    val Tertiary0 = Color(0xFF000000)
    val Tertiary10 = Color(0xFF072711)
    val Tertiary20 = Color(0xFF0A3818)
    val Tertiary30 = Color(0xFF0F5223)
    val Tertiary40 = Color(0xFF146C2E)
    val Tertiary50 = Color(0xFF198639)
    val Tertiary60 = Color(0xFF1EA446)
    val Tertiary70 = Color(0xFF37BE5F)
    val Tertiary80 = Color(0xFF6DD58C)
    val Tertiary90 = Color(0xFFC4EED0)
    val Tertiary95 = Color(0xFFE7F8ED)
    val Tertiary99 = Color(0xFFF2FFEE)
    val Tertiary100 = Color(0xFFFFFFFF)
    val Error0 = Color(0xFF000000)
    val Error10 = Color(0xFF410E0B)
    val Error20 = Color(0xFF601410)
    val Error30 = Color(0xFF8C1D18)
    val Error40 = Color(0xFFB3261E)
    val Error50 = Color(0xFFDC362E)
    val Error60 = Color(0xFFE46962)
    val Error70 = Color(0xFFEC928E)
    val Error80 = Color(0xFFF2B8B5)
    val Error90 = Color(0xFFF9DEDC)
    val Error95 = Color(0xFFFCEEEE)
    val Error99 = Color(0xFFFFFBF9)
    val Error100 = Color(0xFFFFFFFF)
    val Neutral0 = Color(0xFF000000)
    val Neutral4 = Color(0xFF0E0E0F)
    val Neutral6 = Color(0xFF131314)
    val Neutral10 = Color(0xFF1F1F1F)
    val Neutral12 = Color(0xFF1F2020)
    val Neutral17 = Color(0xFF2A2A2A)
    val Neutral20 = Color(0xFF303030)
    val Neutral22 = Color(0xFF343535)
    val Neutral24 = Color(0xFF393939)
    val Neutral30 = Color(0xFF474747)
    val Neutral40 = Color(0xFF5E5E5E)
    val Neutral50 = Color(0xFF757575)
    val Neutral60 = Color(0xFF8F8F8F)
    val Neutral70 = Color(0xFFABABAB)
    val Neutral80 = Color(0xFFC7C7C7)
    val Neutral87 = Color(0xFFDADADA)
    val Neutral90 = Color(0xFFE3E3E3)
    val Neutral92 = Color(0xFFE9E8E8)
    val Neutral94 = Color(0xFFEFEDED)
    val Neutral95 = Color(0xFFF2F2F2)
    val Neutral96 = Color(0xFFF4F3F2)
    val Neutral98 = Color(0xFFFAF9F8)
    val Neutral99 = Color(0xFFFDFCFB)
    val Neutral100 = Color(0xFFFFFFFF)
    val NeutralVariant0 = Color(0xFF000000)
    val NeutralVariant10 = Color(0xFF191D1C)
    val NeutralVariant20 = Color(0xFF2D312F)
    val NeutralVariant30 = Color(0xFF444746)
    val NeutralVariant40 = Color(0xFF5C5F5E)
    val NeutralVariant50 = Color(0xFF747775)
    val NeutralVariant60 = Color(0xFF8E918F)
    val NeutralVariant70 = Color(0xFFA9ACAA)
    val NeutralVariant80 = Color(0xFFC4C7C5)
    val NeutralVariant90 = Color(0xFFE1E3E1)
    val NeutralVariant95 = Color(0xFFEFF2EF)
    val NeutralVariant99 = Color(0xFFFAFDFB)
    val NeutralVariant100 = Color(0xFFFFFFFF)
}
